Bug 846656 - RFE: function for finding if a string corresponds to a known architecture
RFE: function for finding if a string corresponds to a known architecture
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hawkey (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 07:02 EDT by Martin Gracik
Modified: 2014-09-30 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: hawkey-0.2.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:51:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Gracik 2012-08-08 07:02:24 EDT
Description of problem:

RFE: Add a function to find out if a string corresponds to a known architecture.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

This would be very useful when parsing the package name strings with optional architecture.
Comment 1 Ales Kozumplik 2012-08-09 04:24:31 EDT
Function like that is straightforward.

A more general and a more tricky thing would be returning a list of all architectures known to libsolv. I'll try to see if it's even feasible at the moment.

Yet more general would be a query accepting a NEVRA string with arbitrary parts removed. The query would then try to make a best guess. But that is out of scope now.
Comment 2 Ales Kozumplik 2012-08-09 08:27:18 EDT
81d184d provides hy_sack_list_arches().
Comment 3 Fedora Update System 2012-08-23 08:07:58 EDT
hawkey-0.2.9-1.git8599c55.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hawkey-0.2.9-1.git8599c55.fc18
Comment 4 Fedora Update System 2012-08-23 11:37:13 EDT
Package hawkey-0.2.9-1.git8599c55.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.2.9-1.git8599c55.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12561/hawkey-0.2.9-1.git8599c55.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-09-17 18:51:56 EDT
hawkey-0.2.9-1.git8599c55.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.